$(document).ready(function () {
    $("body").off('click').on("click", '.remove', remove);
//    $(".tbody").on("blur", '.rate', autoAddRows);
    $("body").on("keyup focus blur", '.trqty, .rate, .amount', itemCal);
//    $("body").on("keyup focus blur", '.qty, .rate, .amount, .subtotal .discount, .discperc, .netamt', mainbCal);
    $("body").on("keyup focus blur", '.remark', autoAddRows);
    $("body").on("keyup focus blur change", '.itemcode', GetItemFromCode);
    $("body").on("keyup focus blur change", '.item', showDetail);

    function GetItemFromCode() {
        var $row = $(this).closest("tr");
        var itemcode = $row.find(".itemcode").val();
        $.post('show_item_dtl.php', {itemcode: itemcode}, function (data) {
            if (data != '') {
                $row.find(".item").html(data);
//                $row.find(".item").focus();
            }
        });
    }

    //getting rate from item
    function showDetail() {
        var tr = $(this).closest("tr");
        var name = tr.find('.item').val();
        $.ajax({
            type: 'GET',
            dataType: 'json',
//                url         : "get_itemrate_dtl.php",
            url: "get_itemrate_dtl.php",
            data: "name=" + name + "",
            success: function (response) {
                var code = response.code;
                var rate = response.rate;
                var msp = response.msp;
                var mrp = response.mrp;
                $(tr.find('.itemcode')).val(code);
                $(tr.find('.rate')).val(rate);
                $(tr.find('.msp')).val(msp);
                $(tr.find('.mrp')).val(mrp);
            },
            error: function (request, textStatus, errorThrown) {
                alert(errorThrown);
            }
        });
    }



    $('#addnew').click(function () {
        AddRows();
    });

    function autoAddRows() {
        var ctr = $('#items').val();
        var tr = $(this).closest("tr");
        var srno = tr.find(".srno").val();
        if (srno == ctr) {
            AddRows();

        }
    }

    function remove() {
        $(this).closest("tr").remove();
    }

    function AddRows() {
        var ctr = $('#items').val();
        var hide_check = "";
        if ($("#del_all").prop("checked")) {
            hide_check = 0;
        } else {
            hide_check = 1;
        }
        var detail = ".fetchpart_" + ctr;
        $.post('outward_add.php', {ctr: ctr, hide: hide_check}, function (data) {
            $(data).appendTo('.tbody');
            ctr++;
            $('#items').val(ctr);
            $(detail).select2();
        });
    }

    function itemCal() {
        var tr = $(this).closest("tr"),
                val = 0, val1 = 0;
//        var taka = tr.find(".taka").val();
        var trqty = tr.find(".trqty").val();
        var rate = tr.find(".rate").val();
        var amount = trqty * rate;
        tr.find(".amount").val(amount);

        $(".trqty").each(function () {
            if (!isNaN(this.value) && this.value.length != 0) {
                val1 += parseFloat(this.value);
            }
        });
        var totq = parseFloat(val1);
        $('.totqty').val(totq);
        
        $(".amount").each(function () {
            if (!isNaN(this.value) && this.value.length != 0) {
                val += parseFloat(this.value);
            }
        });
        var tot = parseFloat(val);
        $('.totamt').val(tot);
//        mainbCal();
    }


});